// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.GetArticleResponse}
 */
public  final class GetArticleResponse extends
    com.google.protobuf.GeneratedMessageLite<
        GetArticleResponse, GetArticleResponse.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.GetArticleResponse)
    GetArticleResponseOrBuilder {
  private GetArticleResponse() {
  }
  public static final int ARTICLE_FIELD_NUMBER = 2;
  private gg.dsepractice.chinese.v1alpha1.Article article_;
  /**
   * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
   */
  @java.lang.Override
  public boolean hasArticle() {
    return article_ != null;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.Article getArticle() {
    return article_ == null ? gg.dsepractice.chinese.v1alpha1.Article.getDefaultInstance() : article_;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
   */
  private void setArticle(gg.dsepractice.chinese.v1alpha1.Article value) {
    value.getClass();
  article_ = value;
    
    }
  /**
   * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeArticle(gg.dsepractice.chinese.v1alpha1.Article value) {
    value.getClass();
  if (article_ != null &&
        article_ != gg.dsepractice.chinese.v1alpha1.Article.getDefaultInstance()) {
      article_ =
        gg.dsepractice.chinese.v1alpha1.Article.newBuilder(article_).mergeFrom(value).buildPartial();
    } else {
      article_ = value;
    }
    
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
   */
  private void clearArticle() {  article_ = null;
    
  }

  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.GetArticleResponse prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.GetArticleResponse}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.GetArticleResponse, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.GetArticleResponse)
      gg.dsepractice.chinese.v1alpha1.GetArticleResponseOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.GetArticleResponse.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
     */
    @java.lang.Override
    public boolean hasArticle() {
      return instance.hasArticle();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.Article getArticle() {
      return instance.getArticle();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
     */
    public Builder setArticle(gg.dsepractice.chinese.v1alpha1.Article value) {
      copyOnWrite();
      instance.setArticle(value);
      return this;
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
     */
    public Builder setArticle(
        gg.dsepractice.chinese.v1alpha1.Article.Builder builderForValue) {
      copyOnWrite();
      instance.setArticle(builderForValue.build());
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
     */
    public Builder mergeArticle(gg.dsepractice.chinese.v1alpha1.Article value) {
      copyOnWrite();
      instance.mergeArticle(value);
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
     */
    public Builder clearArticle() {  copyOnWrite();
      instance.clearArticle();
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.GetArticleResponse)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.GetArticleResponse();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "article_",
          };
          java.lang.String info =
              "\u0000\u0001\u0000\u0000\u0002\u0002\u0001\u0000\u0000\u0000\u0002\t";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.GetArticleResponse> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.GetArticleResponse.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.GetArticleResponse>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.GetArticleResponse)
  private static final gg.dsepractice.chinese.v1alpha1.GetArticleResponse DEFAULT_INSTANCE;
  static {
    GetArticleResponse defaultInstance = new GetArticleResponse();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      GetArticleResponse.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.GetArticleResponse getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<GetArticleResponse> PARSER;

  public static com.google.protobuf.Parser<GetArticleResponse> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

